﻿using DevExpress.Utils.Serializing;
using DevExpress.XtraDiagram;

namespace TestProject
{
    /// <summary>
    /// 커스텀 다이어그램 도형
    /// </summary>
    public class CustomDiagramShape : DiagramShape
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 데이터베이스 객체 ID - DatabaseObjectID

        /// <summary>
        /// 데이터베이스 객체 ID
        /// </summary>
        [XtraSerializableProperty]
        public int DatabaseObjectID { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Static

        #region 생성자 - CustomDiagramShape()

        /// <summary>
        /// 생성자
        /// </summary>
        static CustomDiagramShape()
        {
            DiagramControl.ItemTypeRegistrator.Register(typeof(CustomDiagramShape));
        }

        #endregion
    }
}